#!/bin/sh

test -f $(dirname $0)/odsconf && . $(dirname $0)/odsconf 

Id squid

for Datei in etc/squid/*.neu
  do
    test -s $Datei && chown $Uid:$Gid $Datei
  done

for Datei in etc/squid/squidGuard.conf.neu etc/Schule/Klausur.neu \
	 etc/Schule/blacklist.neu \
	usr/www/cgi-bin/*.cgi.neu home/www/cgi-bin/*.cgi.neu
  do
	config $Datei
  done

Datei=etc/squid/squidGuard.conf
grep -q -w Arktur $Datei || cp -a $Datei.neu $Datei

Logverz=var/log/squid
# vorbesetzen

# Arktur-Spezialitaeten
Datei=etc/squid/squid.conf.in
test -s $Datei && {
#
# SquidGuard (nach Stephan Dreisbach)

set -x

# Verz=var/log/proxy
set -- $(grep ^logdir $Datei)
Logverz=${2:-/var/log/squid}

mkdir -p ./$Logverz/OLD
touch ./$Logverz/blocked.log
chown -R $Uid:$Gid var/lib/squidGuard
chown -R $Uid:$Gid ./$Logverz
chmod 750 ./$Logverz

set +x

if ! grep -q squidGuard $Datei 2>/dev/null
  then
	ed $Datei <<EOF
/Abschnitt 7:/
+1
a

# SquidGuard benutzen
# redirect_program /usr/sbin/squidGuard -c /etc/squid/squidGuard.conf

# erst mal ausblenden; nicht jeder will das benutzen
#
.
wq
EOF
fi

    } # Ende Arktur spezial

# -----------

for Uverz in ads adult aggressive audio-video drugs gambling hacking \
	mail porn proxy violence warez \
	redirector custom/bad
	
do	
  for Verz in var/lib/squidGuard/db
  do

   mkdir -p $Verz/$Uverz
   for Datei in domains urls expressions 
     do
     test -f $Verz/$Uverz/$Datei || 
	touch -t 200001010000 $Verz/$Uverz/$Datei
     done
  done
done

Id squid
chown -R $Uid:$Gid var/lib/squidGuard
chmod -R o-rwx var/lib/squidGuard/db

(cd var/lib/squidGuard
    rm -rf blacklists
    ln -s db blacklists)

# ------------

mkdir -p usr/local/squidGuard/log

touch var/log/squidGuard.log
chown $Uid:$Gid var/log/squidGuard.log
(cd usr/local/squidGuard; ln -sf /etc/squid/squidGuard.conf 2>/dev/null)
(cd usr/local/squidGuard/log; ln -sf /var/log/squidGuard.log 2>/dev/null)

Id wwwrun
chown -R $Uid usr/www/cgi-bin
chmod -R o+x usr/www/cgi-bin

Datei=etc/squid/squidGuard.conf
if grep -q HOSTNAME $Datei 2>/dev/null 
  then
  HostID=$(hostname -i)
  test "$HostID" &&
    printf ",s/HOSTNAME/$HostID/g\nw\n" | ed -s $Datei
fi
#
test -x usr/bin/squidGuard && (
    cd usr/sbin
    rm -f squidGuard
    ln -s ../bin/squidGuard
    )

test -x usr/local/bin/squidGuard && (
    cd usr/local/bin
    rm -f squidGuard
    ln -s ../../bin/squidGuard
    )
# wenn "squidGuard" ohne Pfad-Optionen kompiliert war.
#
Id squid
mkdir -p ./$Logverz/OLD
touch ./$Logverz/squidGuard.log 2>/dev/null
chown -R squid:squid ./$Logverz
chmod -R o-rwx ./$Logverz
#

# ===========================================================================
# $Id: doinst.sh,v 1.4 2007-06-17 13:28:25+02 HHullen Exp $
# $Log: doinst.sh,v $
# Revision 1.4  2007-06-17 13:28:25+02  HHullen
# verkuerzt
#
# Revision 1.3  2006/12/11 20:04:08  HHullen
# Anpassung an Slackeware-Paket
#
# Revision 1.2  2005/01/14 22:08:11  HHullen
# umgebaut fuer SuSE-squidGuard
# Datenbank herausgeloest
#
# Revision 1.1  2005/01/13 16:01:11  HHullen
# Start
#
# Revision 1.3  2005/01/11 19:30:04  HHullen
# auf SquidGuard reduziert
#
# Revision 1.2  2004/11/05 09:36:39  HHullen
# squidGuard ergaenzt
#
# Revision 1.1  2004/07/11 08:37:48  HHullen
# Initial revision
#

( cd var/lib ; rm -rf squidguard )
( cd var/lib ; ln -sf squidGuard squidguard )
( cd usr/local/squidGuard ; rm -rf squidGuard.conf )
( cd usr/local/squidGuard ; ln -sf /etc/squid/squidGuard.conf squidGuard.conf )
( cd usr/local/squidGuard ; rm -rf db )
( cd usr/local/squidGuard ; ln -sf /var/lib/squidGuard/db db )
( cd usr/local/squidGuard/log ; rm -rf squidGuard.log )
( cd usr/local/squidGuard/log ; ln -sf /var/log/squidGuard.log squidGuard.log )
( cd etc ; rm -rf squidguard )
( cd etc ; ln -sf squid squidguard )
( cd etc/squid ; rm -rf squidguard.conf )
( cd etc/squid ; ln -sf squidGuard.conf squidguard.conf )
